This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266445 - [abrt] qgis: __gnu_cxx::__verbose_terminate_handler()(): qgis killed by SIGABRT
[abrt] qgis: __gnu_cxx::__verbose_terminate_handler()(): qgis killed by SIGABRT
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qgis (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a84b15944cacac28d6f8aab2eec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 06:19 EDT by Vaso VV
Modified: 2015-10-26 08:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 08:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.89 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: core_backtrace (13.91 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: dso_list (32.09 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: environ (3.67 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: maps (162.26 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: mountinfo (3.69 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: open_fds (2.12 KB, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details
File: var_log_messages (296 bytes, text/plain)
2015-09-25 06:19 EDT, Vaso VV
no flags Details

  None (edit)
Description Vaso VV 2015-09-25 06:19:04 EDT
Description of problem:
Project / Print Composers / MyMap …
Composer / Export As PDF… -->
no result (qgis use 1--2% percent of CPU, only zero-lenght file created) -->
Close programm ==> crash

Version-Release number of selected component:
qgis-2.10.1-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        qgis /mnt/Work/DBMT/Plan/qgis5/Plan.qgs
crash_function: __gnu_cxx::__verbose_terminate_handler()
executable:     /usr/bin/qgis
global_pid:     6000
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __gnu_cxx::__verbose_terminate_handler() at ../../../../libstdc++-v3/libsupc++/vterminate.cc:95
 #3 __cxxabiv1::__terminate(void (*)()) at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:47
 #4 std::terminate() at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:57
 #5 __cxxabiv1::__cxa_pure_virtual() at ../../../../libstdc++-v3/libsupc++/pure.cc:50
 #6 QGraphicsItemPrivate::effectiveBoundingRect(QGraphicsItem*) const at graphicsview/qgraphicsitem.cpp:2858
 #7 QGraphicsScenePrivate::drawSubtreeRecursive(QGraphicsItem*, QPainter*, QTransform const*, QRegion*, QWidget*, double, QTransform const*) at graphicsview/qgraphicsscene_p.h:350
 #9 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, QStyleOptionGraphicsItem const*, QWidget*) at graphicsview/qgraphicsscene.cpp:5389
 #10 QGraphicsScene::render(QPainter*, QRectF const&, QRectF const&, Qt::AspectRatioMode) at graphicsview/qgraphicsscene.cpp:1798
 #11 QgsComposition::renderPage(QPainter*, int) at /usr/src/debug/qgis-2.10.1/src/core/composer/qgscomposition.cpp:2795
 #12 QgsComposition::printPageAsRaster(int) at /usr/src/debug/qgis-2.10.1/src/core/composer/qgscomposition.cpp:2762
Comment 1 Vaso VV 2015-09-25 06:19:08 EDT
Created attachment 1076975 [details]
File: backtrace
Comment 2 Vaso VV 2015-09-25 06:19:10 EDT
Created attachment 1076976 [details]
File: cgroup
Comment 3 Vaso VV 2015-09-25 06:19:11 EDT
Created attachment 1076977 [details]
File: core_backtrace
Comment 4 Vaso VV 2015-09-25 06:19:13 EDT
Created attachment 1076978 [details]
File: dso_list
Comment 5 Vaso VV 2015-09-25 06:19:15 EDT
Created attachment 1076979 [details]
File: environ
Comment 6 Vaso VV 2015-09-25 06:19:16 EDT
Created attachment 1076980 [details]
File: limits
Comment 7 Vaso VV 2015-09-25 06:19:19 EDT
Created attachment 1076981 [details]
File: maps
Comment 8 Vaso VV 2015-09-25 06:19:20 EDT
Created attachment 1076982 [details]
File: mountinfo
Comment 9 Vaso VV 2015-09-25 06:19:22 EDT
Created attachment 1076983 [details]
File: namespaces
Comment 10 Vaso VV 2015-09-25 06:19:23 EDT
Created attachment 1076984 [details]
File: open_fds
Comment 11 Vaso VV 2015-09-25 06:19:25 EDT
Created attachment 1076985 [details]
File: proc_pid_status
Comment 12 Vaso VV 2015-09-25 06:19:26 EDT
Created attachment 1076986 [details]
File: var_log_messages
Comment 13 Vaso VV 2015-09-29 06:26:59 EDT
I found that this problem occurred only when orientation of the Map's composition is set to "Portrait".
Landscape maps exported to PDF perfectly.
Comment 14 Volker Fröhlich 2015-10-13 18:07:36 EDT
http://hub.qgis.org/issues/13456
Comment 15 Volker Fröhlich 2015-10-13 18:08:52 EDT
Given upstream's reaction, can we close this issue here?
Comment 16 Vaso VV 2015-10-26 08:05:11 EDT
I think so. This is not Fedora-specific bug. I'll aim at upstream.

Note You need to log in before you can comment on or make changes to this bug.